---

#! /zdci/db/releases/20250508115324/lkp-src/jobs/will-it-scale-part1.yaml
suite: will-it-scale
testcase: will-it-scale
category: benchmark
nr_task: 100%
will-it-scale:
  mode: thread
  test: futex1
job_origin: will-it-scale-part1.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-srf-2sp1
tbox_group: lkp-srf-2sp1
job_file: "/lkp/jobs/scheduled/lkp-srf-2sp1/will-it-scale-performance-thread-100%-futex1-debian-12-x86_64-20240206.cgz-cec199c5e39b-20250515-113902-11udn0c-1.yaml"
id: 348b9bfb00ba8e1614b6461492c69d3c84b4a316
queuer_version: "/zday/lkp"

#! /zdci/db/releases/20250508115324/lkp-src/hosts/lkp-srf-2sp1
model: Sierra Forest
nr_node: 2
nr_cpu: 256
memory: 128G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-SAMSUNG_MZQL2960HCJR-00B7C_S63WNE0T400287-part*"
rootfs_partition: "/dev/disk/by-id/nvme-Micron_7450_MTFDKBG960TFR_22323DDFA9D2-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: GENUINE INTEL(R) XEON(R)

#! /zdci/db/releases/20250508115324/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /zdci/db/releases/20250508115324/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /zdci/db/releases/20250508115324/lkp-src/include/queue/cyclic
commit: cec199c5e39bde7191a08087cc3d002ccfab31ff
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-05-15 10:08:24.098039871 +08:00
_rt: "/result/will-it-scale/performance-thread-100%-futex1/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/cec199c5e39bde7191a08087cc3d002ccfab31ff"
compiler: gcc-12
head_commit: 1f2090b4bd8e519eaa4f3a619ac05a3a50592f49
base_commit: 82f2b0b97b36ee3fcddf0f0780a9a0825d52fec3
branch: linux-devel/devel-hourly-20250513-040313
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
scheduler_version: "/lkp/lkp/.src-20250513-212236"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/will-it-scale/performance-thread-100%-futex1/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/cec199c5e39bde7191a08087cc3d002ccfab31ff/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/cec199c5e39bde7191a08087cc3d002ccfab31ff/vmlinuz-6.15.0-rc4-00016-gcec199c5e39b
- branch=linux-devel/devel-hourly-20250513-040313
- job=/lkp/jobs/scheduled/lkp-srf-2sp1/will-it-scale-performance-thread-100%-futex1-debian-12-x86_64-20240206.cgz-cec199c5e39b-20250515-113902-11udn0c-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=cec199c5e39bde7191a08087cc3d002ccfab31ff
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/cec199c5e39bde7191a08087cc3d002ccfab31ff/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/will-it-scale_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/will-it-scale-x86_64-75f66e4-1_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250513213502/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-srf-2sp1/will-it-scale-performance-thread-100%-futex1-debian-12-x86_64-20240206.cgz-cec199c5e39b-20250515-113902-11udn0c-1.cgz"
last_kernel: 6.15.0-rc4-00016-gcec199c5e39b
acpi_rsdp: '0x777fe014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/cec199c5e39bde7191a08087cc3d002ccfab31ff/vmlinuz-6.15.0-rc4-00016-gcec199c5e39b"
result_root: "/result/will-it-scale/performance-thread-100%-futex1/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/cec199c5e39bde7191a08087cc3d002ccfab31ff/0"
user: lkp
dequeue_time: 2025-05-15 10:12:14.299656689 +08:00
job_state: finished
loadavg: 21.67 99.80 61.38 1/2195 19963
start_time: '1747302078'
end_time: '1747302380'
version: "/lkp/lkp/.src-20250513-212236:820e484bd59d:ea53047d33ff"
